Package org.eclipse.cdt.utils.coff

# Class PE64.ImageDataDirectory

java.lang.Object
org.eclipse.cdt.utils.coff.PE64.ImageDataDirectory

Enclosing class:
  PE64

public class PE64.ImageDataDirectory extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`rva`
`int`
`size`

## Constructor Summary

Constructors
Constructor
Description
`ImageDataDirectory(int r, int s)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### rva

public int rva

### size

public int size

## Constructor Details

### ImageDataDirectory

public ImageDataDirectory(int r, int s)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`